Subject: Re: LessTif build under Cygwin32?
From: [email-masked] (Rick Scott)

11 Jan 1999 12:46:49 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: Rick Scott <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; CHARSET=US-ASCII
To: Francois Felix Ingrand <[email-masked]>
Cc: "Kilfoyle, Greg" <[email-masked]>, [email-masked],
        [email-masked]

On 11-Jan-99 at 05:48, Francois Felix Ingrand ([email-masked]) wrote:
> "Kilfoyle, Greg" <[email-masked]> writes:
> 
> > Hi,
> > 
> > I was wondering if anyone has successfully configured and built LessTif
> > using the Cygwin32 environment on an NT system?
> 
> > I also encountered some other problems with configure. First, it
> > complained about not being able to find a suitable 'ld' program - I
> > hard-coded around 
> 
> I had to define the LD variable...
> 
> > this. Then it had problems locating my X11 directories (/usr/X11R6) - it
> > kept on trying to find them under XFree86 because it though that the EMX
> > environment was present - again, I hard-coded around this.
> 
> Same here... just comment the 2 lines which overide the x-lib ans
> x-include. 

You could just use the configure options
--x-includes=DIR --x-libraries=DIR

try ./configure --help for all the options.

> 
> Then I was able to built it...(0.87.0) with b20.1
> 
> But I am having some trouble with XmCreateFileSelectionDialog (while
> parsing the directory)... which cause my pgrms to crash. I am
> investigating it for now.
> 
> -- 
> -=-=-=-=-=-=-=-=-=-=-=-=--=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
> Francois Felix INGRAND     "La guerre, qu'on voit danser le long des golfes
> Professional: [email-masked]       clairs, a des reflets d'argent" (Anonyme)
> Personal: [email-masked]            WWW: <http://www.laas.fr/~felix>
> 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".